# Get a list of available adhoc inventories Endpoint: GET /adhoc-inventories Version: 2.27 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `name` (string) Filter by name Example: "xyz | in:x,y | like:xyz" - `siteId` (string) Filter by site Example: "0" - `rentalProductCategoryId` (string) Filter by rental product category Example: "0" - `billRunId` (string) Filter by billRunId Example: "0" - `adhocBillRunId` (string) Filter by adhocBillRunId Example: "0" ## Response 200 fields (application/json): - `id` (integer) Ad hoc inventory identifier Example: 1 - `siteId` (integer, required) Site identifier Example: 1 - `name` (string, required) Name - `supplierAccountId` (integer, required) Supplier account identifier - `buyPrice` (number) Buy price - `sellPrice` (number, required) Sell Price - `billImmediately` (boolean) Bill immediately - `isCredit` (boolean) Raise a credit note (requires billImmediately = true) - `creditReason` (string) Reason for credit - `paid` (boolean) Is already paid? - `paymentTerms` (integer) Payment terms in days - `paymentType` (string) Payment method Enum: "CHEQUE", "DIRECT_DEBIT", "CANCELLED_DD", "CANCELLED_CARD", "CREDIT_CARD", "PAYPAL", "BACS", "POST_OFFICE_PAYMENT_CARD", "EZYPAY", "GO_CARDLESS", "GC_INSTANT_BANK_PAYMENTS", "STRIPE", "STRIPE_CARD", "STRIPE_DD", "FINASTRA", "FAST_PAY", "OTHER" - `quantity` (number, required) Quantity - `rentalProductCategoryId` (integer, required) Rental product category Id Example: 1 - `taxBandId` (integer, required) Tax band identifier Example: 1 - `nominalCode` (string) Nominal code Example: "SALES-01QTR2" - `billRunId` (integer) Bill run identifier Example: 1 - `adhocBillRunId` (integer) Adhoc bill run identifier (if billed immediately) Example: 1 - `invoiceGroupTagLabelId` (integer) Invoice group tag label identifier. An optional grouping identifier when combined with a value for mid-month bill-immediately adhoc charges. Charges with the same invoice group tag will be invoiced together, generating one invoice per unique tag. Both labelId and value must be provided together Example: 1 - `invoiceGroupTagValue` (string) Invoice group tag value. An optional grouping identifier when combined with a label for mid-month adhoc bill-immediately charges. Charges with the same invoice group tag will be invoiced together, generating one invoice per unique tag. Maximum 255 characters, cannot be empty or whitespace only Example: "Sales Division" ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 412 fields ## Response 500 fields ## Response 501 fields